title = "Home"
url = "/"
layout = "default"
is_hidden = 0

[home]

==


{% set records = home.records %}
{% set recents = home.recents %}
{% set favorites = home.favorites %}

{% put styles %}

<style>
    .title-satker {
        margin-bottom: 20px;
        margin-top: 20px;
    }

    .judul-buku {
        font-size: 14px;
    }

    .tanggal-buku {
        font-size: 11px;
    }

    .home-item ul {
        list-style-type: none;
        overflow: hidden;
        display: flex;
        align-items: center;
        justify-content: space-evenly;
    }

    .home-item ul>li {
        display: inline-block;
    }

    .jumlah {
        font-size: 10px;
    }

    .view span {
        display: block;
        margin-top: -5px;
        text-align: center;
    }

    .bg-book {
        background-color: #e0e0e0;
        padding: 20px 35px 5px 35px;
    }

</style>
{% endput %}

<div class="container" style="margin-top: 20px;">
    <div class="row">
        <div class="col s12">
            <a href="{{ 'recent' | page  }}">
                <h6 class="title-satker">Sering dibaca</h6>
            </a>

            <div class="owl-carousel owl-theme bg-book">
                {% for buku in recents %}
                <div class="item home-item">
                    <img src="{{ buku.cover.thumb(150, 150, 'crop') }}">
                    <div class="judul-buku">{{ buku.judul }}</div>
                    <div class="tanggal-buku">{{ buku.created_at }}</div>
                    <ul>
                        <li>
                            <div class="view">
                                <i class="material-icons">visibility</i>
                                <span class="jumlah">{{ buku.lihat }}</span>
                            </div>
                        </li>
                        <li>
                            <a href="#" onclick="clickFavorite(event, {{ buku.id }})">
                                <div class="view">
                                    <i class="material-icons">favorite</i><br />
                                    <span class="jumlah">{{ buku.favorite }}</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="{{ 'buku' | page ( { slug: buku.slug }  ) }}"
                                class="waves-effect waves-light btn">baca</a>
                        </li>
                    </ul>

                </div>
                {% endfor %}
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col s12">
            <a href="{{ 'favorite' | page  }}">
                <h6 class="title-satker">Buku Favorite</h6>
            </a>
            <div class="owl-carousel owl-theme bg-book">
                {% for buku in favorites %}
                <div class="item home-item">
                    <img src="{{ buku.cover.thumb(150, 150, 'crop') }}">
                    <div class="judul-buku">{{ buku.judul }}</div>
                    <div class="tanggal-buku">{{ buku.created_at }}</div>
                    <ul>
                        <li>
                            <div class="view">
                                <i class="material-icons">visibility</i>
                                <span class="jumlah">{{ buku.lihat }}</span>
                            </div>
                        </li>
                        <li>
                            <a href="#" onclick="clickFavorite(event, {{ buku.id }})">
                                <div class="view">
                                    <i class="material-icons">favorite</i><br />
                                    <span class="jumlah">{{ buku.favorite }}</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="{{ 'buku' | page ( { slug: buku.slug }  ) }}"
                                class="waves-effect waves-light btn">baca</a>
                        </li>
                    </ul>

                </div>
                {% endfor %}
            </div>
        </div>
    </div>
    {% for record in records %}
    {% if record.bukus.count() > 0 %}
    <div class="row">
        <div class="col s12">
            <a href="{{ 'satker' | page ( { slug: record.slug }  ) }}">
                <h6 class="title-satker">{{ record.nama }}</h6>
            </a>
            <div class="owl-carousel owl-theme bg-book">
                {% for buku in record.bukus %}
                <div class="item home-item">
                    <img src="{{ buku.cover.thumb(150, 150, 'crop') }}">
                    <div class="judul-buku">{{ buku.judul }}</div>
                    <div class="tanggal-buku">{{ buku.created_at }}</div>
                    <ul>
                        <li>
                            <div class="view">
                                <i class="material-icons">visibility</i>
                                <span class="jumlah">{{ buku.lihat }}</span>
                            </div>
                        </li>
                        <li>
                            <a href="#" onclick="clickFavorite(event, {{ buku.id }})">
                                <div class="view">
                                    <i class="material-icons">favorite</i><br />
                                    <span class="jumlah">{{ buku.favorite }}</span>
                                </div>
                            </a>
                        </li>
                        <li>
                            <a href="{{ 'buku' | page ( { slug: buku.slug }  ) }}"
                                class="waves-effect waves-light btn">baca</a>
                        </li>
                    </ul>

                </div>
                {% endfor %}
            </div>
        </div>
    </div>
    {% endif %}
    {% endfor %}


</div>
{% put styles %}
<link rel="stylesheet" href="{{ 'assets/css/custom_owl.css'|theme }}" />
{% endput %}
{% put scripts %}
<script>
    $('.owl-carousel').owlCarousel({
        loop: false,
        margin: 25,
        nav: true,
        navText: ["<div class='nav-btn prev-slide'></div>", "<div class='nav-btn next-slide'></div>"],
        responsive: {
            0: {
                items: 1
            },
            600: {
                items: 3
            },
            1000: {
                items: 5
            }
        }
    })

</script>
{% endput %}
